org.opencv.xphoto

## Class SimpleWB

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.xphoto.WhiteBalancer
    - - org.opencv.xphoto.SimpleWB

-     public class SimpleWB
      extends WhiteBalancer

  A simple white balance algorithm that works by independently stretching each of the input image channels to the specified range. For increased robustness it ignores the top and bottom \(p\%\) of pixel values.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SimpleWB(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SimpleWB` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `float` | `getInputMax()` Input image range maximum value SEE: setInputMax
    `float` | `getInputMin()` Input image range minimum value SEE: setInputMin
    `float` | `getOutputMax()` Output image range maximum value SEE: setOutputMax
    `float` | `getOutputMin()` Output image range minimum value SEE: setOutputMin
    `float` | `getP()` Percent of top/bottom values to ignore SEE: setP
    `void` | `setInputMax(float val)` getInputMax SEE: getInputMax
    `void` | `setInputMin(float val)` getInputMin SEE: getInputMin
    `void` | `setOutputMax(float val)` getOutputMax SEE: getOutputMax
    `void` | `setOutputMin(float val)` getOutputMin SEE: getOutputMin
    `void` | `setP(float val)` getP SEE: getP

    - ### Methods inherited from class org.opencv.xphoto.WhiteBalancer

      `balanceWhite`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleWB

          protected SimpleWB(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SimpleWB __fromPtr__(long addr)

    - #### getInputMax

          public float getInputMax()

      Input image range maximum value SEE: setInputMax
      Returns:
        automatically generated

    - #### getInputMin

          public float getInputMin()

      Input image range minimum value SEE: setInputMin
      Returns:
        automatically generated

    - #### getOutputMax

          public float getOutputMax()

      Output image range maximum value SEE: setOutputMax
      Returns:
        automatically generated

    - #### getOutputMin

          public float getOutputMin()

      Output image range minimum value SEE: setOutputMin
      Returns:
        automatically generated

    - #### getP

          public float getP()

      Percent of top/bottom values to ignore SEE: setP
      Returns:
        automatically generated

    - #### setInputMax

          public void setInputMax(float val)

      getInputMax SEE: getInputMax
      Parameters:
        `val` - automatically generated

    - #### setInputMin

          public void setInputMin(float val)

      getInputMin SEE: getInputMin
      Parameters:
        `val` - automatically generated

    - #### setOutputMax

          public void setOutputMax(float val)

      getOutputMax SEE: getOutputMax
      Parameters:
        `val` - automatically generated

    - #### setOutputMin

          public void setOutputMin(float val)

      getOutputMin SEE: getOutputMin
      Parameters:
        `val` - automatically generated

    - #### setP

          public void setP(float val)

      getP SEE: getP
      Parameters:
        `val` - automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `WhiteBalancer`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7